//
// (c) Joris Remmers
//

#ifndef _MYLIB
#define _MYLIB

#include <stdio.h>
#include <stdlib.h>

#define MAX_GRADES  1000
#define HIST_ITEMS  12

int read_grades

	( const char*      filename ,
      float*           grades   ,
      int*             studID   )

void print_grades  

	( const float*     grades ,
      const int*       studID ,
      const int        count  );

float calc_average

	( const float*     grades ,
      int              count  );

float calc_std_deviation

	( const float*     grades ,
      const int        count  );

void clear_histogram

    ( int*             hist );

int get_hist_item

    ( float            x );

void fill_histogram

    ( const float*     grades ,
      int*             hist   );

#endif
